package com.bonus.sgzb.machine.mapper;

import com.bonus.sgzb.machine.damain.MaHouse;

import java.util.List;

/**
 * 仓库信息 数据层
 * 
 * @author ruoyi
 */
public interface MaHouseMapper
{
    /**
     * 校验项目名称
     *
     * @param houseName 项目名称
     * @return 结果
     */
    public MaHouse checkHouseNameUnique(String houseName);

    /**
     * 新增保存仓库信息
     *
     * @param house 仓库信息
     * @return 结果
     */
    int insertHouse(MaHouse house);

    /**
     * 修改仓库信息
     *
     * @param house 仓库信息
     * @return 结果
     */
    int updateHouse(MaHouse house);

    /**
     * 删除仓库货架信息
     * @param houseId
     * @return
     */
    int deleteHouseById(Long houseId);

    /**
     * 查询仓库信息列表
     * @param house
     * @return
     */
    List<MaHouse> selectHouseList(MaHouse house);

    /**
     * 根据仓库id查询仓库信息
     * @param houseId
     * @return
     */
    MaHouse selectHouseById(Long houseId);

    /**
     * 是否存在子仓库
     * @param houseId
     * @return
     */
    int hasChildByHouseId(Long houseId);

    List<MaHouse> selectHouse();
}